Some programmes do not launch after installing Tumbleweed

Hello,

I recently did an install of Tumbleweed. During the install I imported user settings from my previous installation of Leap 41.1. I used KDE on both installs. I am now facing an issue where when I install some applications, they crash before the GUI window launches. For example, if I try to install Qutebrowser I get the following:

linux-j7v1:~> sudo zypper in qutebrowser
[sudo] password for root: 
Loading repository data...
Reading installed packages...
Resolving package dependencies...

The following NEW package is going to be installed:
  qutebrowser

The following application is going to be REMOVED:
  "System Tray"

1 new package to install.
Overall download size: 1.7 MiB. Already cached: 0 B. After the operation, additional 4.6 MiB will be used.
Continue? [y/n/? shows all options] (y): y
Retrieving package qutebrowser-0.8.1-1.2.noarch                                                                                                                                                                                           (1/1),   1.7 MiB (  4.6 MiB unpacked)
Retrieving: qutebrowser-0.8.1-1.2.noarch.rpm ...............................................................................................................................................................................................................[done (16.2 KiB/s)]
Checking for file conflicts: ............................................................................................................................................................................................................................................[done]
(1/1) Installing: qutebrowser-0.8.1-1.2.noarch ..........................................................................................................................................................................................................................[done]
linux-j7v1:~> qutebrowser
09:11:57 INFO: Run :adblock-update to get adblock lists.
09:11:57 ERROR: Uncaught exception
Traceback (most recent call last):
  File "/usr/lib/python3.5/site-packages/qutebrowser/mainwindow/tabwidget.py", line 653, in subElementRect
    layouts = self._tab_layout(opt)
  File "/usr/lib/python3.5/site-packages/qutebrowser/mainwindow/tabwidget.py", line 676, in _tab_layout
    qtutils.ensure_valid(text_rect)
  File "/usr/lib/python3.5/site-packages/qutebrowser/utils/qtutils.py", line 155, in ensure_valid
    raise QtValueError(obj)
qutebrowser.utils.qtutils.QtValueError: PyQt5.QtCore.QRect() is not valid

The repositories I am subscribed to are below:

Repository priorities are without effect. All enabled repositories share the same priority.

# | Alias                            | Name                       | Enabled | GPG Check | Refresh | Priority | Type   | URI                                                                 | Service
--+----------------------------------+----------------------------+---------+-----------+---------+----------+--------+---------------------------------------------------------------------+--------
1 | download.opensuse.org-non-oss    | Main Repository (NON-OSS)  | Yes     | (r ) Yes  | Yes     |   99     | yast2  | http://download.opensuse.org/tumbleweed/repo/non-oss/               |        
2 | download.opensuse.org-oss        | Main Repository (OSS)      | Yes     | (r ) Yes  | Yes     |   99     | yast2  | http://download.opensuse.org/tumbleweed/repo/oss/                   |        
3 | download.opensuse.org-tumbleweed | Main Update Repository     | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/tumbleweed/                     |        
4 | packman                          | packman                    | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Tumbleweed/ |        
5 | repo-debug                       | openSUSE-Tumbleweed-Debug  | No      | ----      | ----    |   99     | NONE   | http://download.opensuse.org/debug/tumbleweed/repo/oss/             |        
6 | repo-source                      | openSUSE-Tumbleweed-Source | No      | ----      | ----    |   99     | NONE   | http://download.opensuse.org/source/tumbleweed/repo/oss/            |        

I’ve tried running zypper dup but this did not fix the issue. I also had a problem where akonadi would not start but I fixed that by deleting the akonadi files in the hidden folders in my home directory. Any help would be greatly appreciated.

Thanks.

The errors you describe are coding errors.
You should submit a bug report to https://bugzilla.opensuse.org

TSU

Here are the messages from a few more applications run but produce error message when launching.

Okular

linux-j7v1:~> okular
No frame loaded
No frame loaded
No frame loaded

Dophin:

linux-j7v1:~> dolphin
Cannot creat accessible child interface for object:  PlacesView(0xcb38b0)  index:  16

Krita:

"KConfigIni: In file /usr/share/pci.ids, line 28914: " Invalid entry (missing '=')
"KConfigIni: In file /usr/share/pci.ids, line 28915: " Invalid entry (missing '=')
"KConfigIni: In file /usr/share/pci.ids, line 28916: " Invalid entry (missing '=')
"KConfigIni: In file /usr/share/pci.ids, line 28917: " Invalid entry (missing '=')
"KConfigIni: In file /usr/share/pci.ids, line 28918: " Invalid entry (missing '=')
"KConfigIni: In file /usr/share/pci.ids, line 28919: " Invalid entry (missing '=')
"KConfigIni: In file /usr/share/pci.ids, line 28920: " Invalid entry (missing '=')
QLayout: Attempting to add QLayout "" to QWidget "", which already has a layout
        falling back on QIcon::FromTheme: "_edit-redo"

Calibre


linux-j7v1:~> calibre
static QPlatformTheme* QKdeTheme::createKdeTheme(): Unable to determine KDE dirs

Docear (doesn’t fully launch)


STDERR: java.lang.NoClassDefFoundError: org/omg/CORBA/portable/UnknownException
STDERR:         at org.docear.plugin.services.features.user.DocearUserController.<init>(DocearUserController.java:42)
STDERR:         at org.docear.plugin.services.ServiceController.initialize(ServiceController.java:86)
STDERR:         at org.docear.plugin.services.Activator.startService(Activator.java:29)
STDERR:         at org.docear.plugin.core.Activator.startPluginServices(Activator.java:67)
STDERR:         at org.docear.plugin.core.Activator.startPlugin(Activator.java:35)
STDERR:         at org.freeplane.plugin.workspace.Activator.startPluginServices(Activator.java:83)
STDERR:         at org.freeplane.plugin.workspace.Activator$2.installExtension(Activator.java:45)
STDERR:         at org.freeplane.main.osgi.ActivatorImpl.startFramework(ActivatorImpl.java:208)
STDERR:         at org.freeplane.main.osgi.ActivatorImpl.start(ActivatorImpl.java:79)
STDERR:         at org.freeplane.main.osgi.Activator.start(Activator.java:36)
STDERR:         at org.knopflerfish.framework.BundleImpl.start0(BundleImpl.java:374)
STDERR:         at org.knopflerfish.framework.PermissionOps.callStart0(PermissionOps.java:215)
STDERR:         at org.knopflerfish.framework.BundleImpl.start(BundleImpl.java:321)
STDERR:         at org.knopflerfish.framework.StartLevelImpl.increaseStartLevel(StartLevelImpl.java:285)
STDERR:         at org.knopflerfish.framework.StartLevelImpl$1.run(StartLevelImpl.java:217)
STDERR:         at org.knopflerfish.framework.StartLevelImpl.run(StartLevelImpl.java:178)
STDERR:         at java.base/java.lang.Thread.run(Unknown Source)
STDERR: Caused by: java.lang.ClassNotFoundException: org.omg.CORBA.portable.UnknownException
STDERR:         at org.knopflerfish.framework.BundleClassLoader.findClass(BundleClassLoader.java:339)
STDERR:         at org.knopflerfish.framework.BundleClassLoader.loadClass(BundleClassLoader.java:438)
STDERR:         at java.base/java.lang.ClassLoader.loadClass(Unknown Source)
STDERR:         ... 17 more
STDOUT: ## DEBUG: errors - FrameworkErrorEvent bundle #1
STDOUT: ## DEBUG: errors - FrameworkErrorEvent throwable: 
STDERR: org.osgi.framework.BundleException: BundleActivator start failed
STDERR:         at org.knopflerfish.framework.BundleImpl.start0(BundleImpl.java:419)
STDERR:         at org.knopflerfish.framework.PermissionOps.callStart0(PermissionOps.java:215)
STDERR:         at org.knopflerfish.framework.BundleImpl.start(BundleImpl.java:321)
STDERR:         at org.knopflerfish.framework.StartLevelImpl.increaseStartLevel(StartLevelImpl.java:285)
STDERR:         at org.knopflerfish.framework.StartLevelImpl$1.run(StartLevelImpl.java:217)
STDERR:         at org.knopflerfish.framework.StartLevelImpl.run(StartLevelImpl.java:178)
STDERR:         at java.base/java.lang.Thread.run(Unknown Source)
STDERR: Caused by: java.lang.NoClassDefFoundError: org/omg/CORBA/portable/UnknownException
STDERR:         at org.docear.plugin.services.features.user.DocearUserController.<init>(DocearUserController.java:42)
STDERR:         at org.docear.plugin.services.ServiceController.initialize(ServiceController.java:86)
STDERR:         at org.docear.plugin.services.Activator.startService(Activator.java:29)
STDERR:         at org.docear.plugin.core.Activator.startPluginServices(Activator.java:67)
STDERR:         at org.docear.plugin.core.Activator.startPlugin(Activator.java:35)
STDERR:         at org.freeplane.plugin.workspace.Activator.startPluginServices(Activator.java:83)
STDERR:         at org.freeplane.plugin.workspace.Activator$2.installExtension(Activator.java:45)
STDERR:         at org.freeplane.main.osgi.ActivatorImpl.startFramework(ActivatorImpl.java:208)
STDERR:         at org.freeplane.main.osgi.ActivatorImpl.start(ActivatorImpl.java:79)
STDERR:         at org.freeplane.main.osgi.Activator.start(Activator.java:36)
STDERR:         at org.knopflerfish.framework.BundleImpl.start0(BundleImpl.java:374)
STDERR:         ... 6 more
STDERR: Caused by: java.lang.ClassNotFoundException: org.omg.CORBA.portable.UnknownException
STDERR:         at org.knopflerfish.framework.BundleClassLoader.findClass(BundleClassLoader.java:339)
STDERR:         at org.knopflerfish.framework.BundleClassLoader.loadClass(BundleClassLoader.java:438)
STDERR:         at java.base/java.lang.ClassLoader.loadClass(Unknown Source)
STDERR:         ... 17 more
STDOUT: Nested bundle exception:
STDERR: java.lang.NoClassDefFoundError: org/omg/CORBA/portable/UnknownException
STDERR:         at org.docear.plugin.services.features.user.DocearUserController.<init>(DocearUserController.java:42)
STDERR:         at org.docear.plugin.services.ServiceController.initialize(ServiceController.java:86)
STDERR:         at org.docear.plugin.services.Activator.startService(Activator.java:29)
STDERR:         at org.docear.plugin.core.Activator.startPluginServices(Activator.java:67)
STDERR:         at org.docear.plugin.core.Activator.startPlugin(Activator.java:35)
STDERR:         at org.freeplane.plugin.workspace.Activator.startPluginServices(Activator.java:83)
STDERR:         at org.freeplane.plugin.workspace.Activator$2.installExtension(Activator.java:45)
STDERR:         at org.freeplane.main.osgi.ActivatorImpl.startFramework(ActivatorImpl.java:208)
STDERR:         at org.freeplane.main.osgi.ActivatorImpl.start(ActivatorImpl.java:79)
STDERR:         at org.freeplane.main.osgi.Activator.start(Activator.java:36)
STDERR:         at org.knopflerfish.framework.BundleImpl.start0(BundleImpl.java:374)
STDERR:         at org.knopflerfish.framework.PermissionOps.callStart0(PermissionOps.java:215)
STDERR:         at org.knopflerfish.framework.BundleImpl.start(BundleImpl.java:321)
STDERR:         at org.knopflerfish.framework.StartLevelImpl.increaseStartLevel(StartLevelImpl.java:285)
STDERR:         at org.knopflerfish.framework.StartLevelImpl$1.run(StartLevelImpl.java:217)
STDERR:         at org.knopflerfish.framework.StartLevelImpl.run(StartLevelImpl.java:178)
STDERR:         at java.base/java.lang.Thread.run(Unknown Source)
STDERR: Caused by: java.lang.ClassNotFoundException: org.omg.CORBA.portable.UnknownException
STDERR:         at org.knopflerfish.framework.BundleClassLoader.findClass(BundleClassLoader.java:339)
STDERR:         at org.knopflerfish.framework.BundleClassLoader.loadClass(BundleClassLoader.java:438)
STDERR:         at java.base/java.lang.ClassLoader.loadClass(Unknown Source)
STDERR:         ... 17 more
STDOUT: Framework launched

How did you change to TW? are ALL your repos now for TW none should be for 42.1

I tried upgrading by putting the ISO on a USB but that didn’t work so I did a fresh install while importing my previous user configurations. The repos I’m subscribed to are in my original post.

Edit: What I mean by didn’t work is that I couldn’t get the wireless network to work. My laptop has a Broadcom wireless card so this is always an issue for me when I try to install a new distro.

I think the reason that the upgrade didn’t work is because when I tried to go through the upgrade screens, the installer could not find a network. I understand it couldn’t find a wireless network because of the Broadcom network card. I did tether via USB from an android phone which was not recognised when I chose upgrade but it was recognised when I chose installation. This is likely to be an installer bug that (I think) is unrelated to what I’m currently experiencing but does give a bit more narrative.